### Hierarchy

- Level

## Index

### Constructors

- constructor

### Methods

- colContainsSprites
- getCell
- getCellOrNull
- getCells
- replaceSprite
- rowContainsSprites
- setCells

## Constructors

### constructor

- new Level(): Level

- - Defined in engine.ts:293

  #### Returns Level

## Methods

### colContainsSprites

- colContainsSprites(colIndex: number, sprites: SpriteBitSet, anySpritesPresent: SpriteBitSet): boolean

- - Defined in engine.ts:335

  #### Parameters

  - ##### colIndex: number

  - ##### sprites: SpriteBitSet

  - ##### anySpritesPresent: SpriteBitSet

  #### Returns boolean

### getCell

- getCell(rowIndex: number, colIndex: number): Cell

- - Defined in engine.ts:315

  #### Parameters

  - ##### rowIndex: number

  - ##### colIndex: number

  #### Returns Cell

### getCellOrNull

- getCellOrNull(rowIndex: number, colIndex: number): null | Cell

- - Defined in engine.ts:308

  #### Parameters

  - ##### rowIndex: number

  - ##### colIndex: number

  #### Returns null | Cell

### getCells

- getCells(): Cell[][]

- - Defined in engine.ts:302

  #### Returns Cell[][]

### replaceSprite

- replaceSprite(cell: Cell, oldSprite: Optional<GameSprite>, newSprite: Optional<GameSprite>): void

- - Defined in engine.ts:319

  #### Parameters

  - ##### cell: Cell

  - ##### oldSprite: Optional<GameSprite>

  - ##### newSprite: Optional<GameSprite>

  #### Returns void

### rowContainsSprites

- rowContainsSprites(rowIndex: number, spritesPresent: SpriteBitSet, anySpritesPresent: SpriteBitSet): boolean

- - Defined in engine.ts:327

  #### Parameters

  - ##### rowIndex: number

  - ##### spritesPresent: SpriteBitSet

  - ##### anySpritesPresent: SpriteBitSet

  #### Returns boolean

### setCells

- setCells(cells: Cell[][]): void

- - Defined in engine.ts:299

  #### Parameters

  - ##### cells: Cell[][]

  #### Returns void

Generated using TypeDoc